> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talentunveiled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Posting

> Retrieve a single job posting with application count.



## OpenAPI

````yaml /swagger/v1_schema.yaml get /jobs/{job_posting_id}
openapi: 3.0.3
info:
  title: TalentUnveiled Public API
  version: 1.0.0
  description: API documentation for TalentUnveiled endpoints
servers:
  - url: https://api.talentunveiled.com/api/v1
    description: Production server
security: []
paths:
  /jobs/{job_posting_id}:
    get:
      tags:
        - TalentUnveiled Public API
      summary: Get Job Posting
      description: Retrieve a single job posting with application count.
      operationId: jobs_retrieve
      parameters:
        - in: path
          name: job_posting_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIJobPostingDetail'
          description: ''
      security:
        - apiKeyAuth: []
        - {}
components:
  schemas:
    APIJobPostingDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        title:
          type: string
          readOnly: true
        location:
          type: string
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/JobStatusEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        description:
          type: string
          readOnly: true
        application_count:
          type: integer
          readOnly: true
      required:
        - application_count
        - created_at
        - description
        - id
        - location
        - status
        - title
    JobStatusEnum:
      enum:
        - active
        - paused
        - closed
        - draft
      type: string
      description: |-
        * `active` - Active
        * `paused` - Paused
        * `closed` - Closed
        * `draft` - Draft
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication for the public API. Pass your API key as a Bearer
        token.

````